/[debian]/bti/branches/upstream/current/Makefile.in
ViewVC logotype

Contents of /bti/branches/upstream/current/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 2233 - (show annotations)
Wed Aug 18 15:33:14 2010 UTC (10 years, 2 months ago) by gregoa
File size: 28090 byte(s)
[svn-upgrade] new version bti (027)
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = bti$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
39 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40 $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
41 missing
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52 "$(DESTDIR)$(man1dir)"
53 PROGRAMS = $(bin_PROGRAMS)
54 am_bti_OBJECTS = bti-bti.$(OBJEXT)
55 bti_OBJECTS = $(am_bti_OBJECTS)
56 am__DEPENDENCIES_1 =
57 bti_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
58 $(am__DEPENDENCIES_1)
59 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
60 am__vpath_adj = case $$p in \
61 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
62 *) f=$$p;; \
63 esac;
64 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
65 am__install_max = 40
66 am__nobase_strip_setup = \
67 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
68 am__nobase_strip = \
69 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
70 am__nobase_list = $(am__nobase_strip_setup); \
71 for p in $$list; do echo "$$p $$p"; done | \
72 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
73 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
74 if (++n[$$2] == $(am__install_max)) \
75 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
76 END { for (dir in files) print dir, files[dir] }'
77 am__base_list = \
78 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
79 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
80 SCRIPTS = $(bin_SCRIPTS)
81 DEFAULT_INCLUDES = -I.@am__isrc@
82 depcomp = $(SHELL) $(top_srcdir)/depcomp
83 am__depfiles_maybe = depfiles
84 am__mv = mv -f
85 AM_V_lt = $(am__v_lt_$(V))
86 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
87 am__v_lt_0 = --silent
88 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
89 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
90 AM_V_CC = $(am__v_CC_$(V))
91 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
92 am__v_CC_0 = @echo " CC " $@;
93 AM_V_at = $(am__v_at_$(V))
94 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
95 am__v_at_0 = @
96 CCLD = $(CC)
97 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
98 AM_V_CCLD = $(am__v_CCLD_$(V))
99 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
100 am__v_CCLD_0 = @echo " CCLD " $@;
101 AM_V_GEN = $(am__v_GEN_$(V))
102 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
103 am__v_GEN_0 = @echo " GEN " $@;
104 SOURCES = $(bti_SOURCES)
105 DIST_SOURCES = $(bti_SOURCES)
106 man1dir = $(mandir)/man1
107 NROFF = nroff
108 MANS = $(dist_man_MANS)
109 ETAGS = etags
110 CTAGS = ctags
111 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
112 distdir = $(PACKAGE)-$(VERSION)
113 top_distdir = $(distdir)
114 am__remove_distdir = \
115 { test ! -d "$(distdir)" \
116 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
117 && rm -fr "$(distdir)"; }; }
118 DIST_ARCHIVES = $(distdir).tar.gz
119 GZIP_ENV = --best
120 distuninstallcheck_listfiles = find . -type f -print
121 distcleancheck_listfiles = find . -type f -print
122 ACLOCAL = @ACLOCAL@
123 AMTAR = @AMTAR@
124 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
125 AUTOCONF = @AUTOCONF@
126 AUTOHEADER = @AUTOHEADER@
127 AUTOMAKE = @AUTOMAKE@
128 AWK = @AWK@
129 CC = @CC@
130 CCDEPMODE = @CCDEPMODE@
131 CFLAGS = @CFLAGS@
132 CPPFLAGS = @CPPFLAGS@
133 CYGPATH_W = @CYGPATH_W@
134 DEFS = @DEFS@
135 DEPDIR = @DEPDIR@
136 ECHO_C = @ECHO_C@
137 ECHO_N = @ECHO_N@
138 ECHO_T = @ECHO_T@
139 EXEEXT = @EXEEXT@
140 INSTALL = @INSTALL@
141 INSTALL_DATA = @INSTALL_DATA@
142 INSTALL_PROGRAM = @INSTALL_PROGRAM@
143 INSTALL_SCRIPT = @INSTALL_SCRIPT@
144 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
145 LDFLAGS = @LDFLAGS@
146 LIBCURL = @LIBCURL@
147 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
148 LIBOAUTH_CFLAGS = @LIBOAUTH_CFLAGS@
149 LIBOAUTH_LIBS = @LIBOAUTH_LIBS@
150 LIBOBJS = @LIBOBJS@
151 LIBPCRE_CFLAGS = @LIBPCRE_CFLAGS@
152 LIBPCRE_LIBS = @LIBPCRE_LIBS@
153 LIBS = @LIBS@
154 LTLIBOBJS = @LTLIBOBJS@
155 MAKEINFO = @MAKEINFO@
156 MKDIR_P = @MKDIR_P@
157 OBJEXT = @OBJEXT@
158 PACKAGE = @PACKAGE@
159 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
160 PACKAGE_NAME = @PACKAGE_NAME@
161 PACKAGE_STRING = @PACKAGE_STRING@
162 PACKAGE_TARNAME = @PACKAGE_TARNAME@
163 PACKAGE_URL = @PACKAGE_URL@
164 PACKAGE_VERSION = @PACKAGE_VERSION@
165 PATH_SEPARATOR = @PATH_SEPARATOR@
166 PKG_CONFIG = @PKG_CONFIG@
167 SET_MAKE = @SET_MAKE@
168 SHELL = @SHELL@
169 STRIP = @STRIP@
170 VERSION = @VERSION@
171 XML2_CONFIG = @XML2_CONFIG@
172 XML_CPPFLAGS = @XML_CPPFLAGS@
173 XML_LIBS = @XML_LIBS@
174 XSLTPROC = @XSLTPROC@
175 _libcurl_config = @_libcurl_config@
176 abs_builddir = @abs_builddir@
177 abs_srcdir = @abs_srcdir@
178 abs_top_builddir = @abs_top_builddir@
179 abs_top_srcdir = @abs_top_srcdir@
180 ac_ct_CC = @ac_ct_CC@
181 am__include = @am__include@
182 am__leading_dot = @am__leading_dot@
183 am__quote = @am__quote@
184 am__tar = @am__tar@
185 am__untar = @am__untar@
186 bindir = @bindir@
187 build_alias = @build_alias@
188 builddir = @builddir@
189 datadir = @datadir@
190 datarootdir = @datarootdir@
191 docdir = @docdir@
192 dvidir = @dvidir@
193 exec_prefix = @exec_prefix@
194 host_alias = @host_alias@
195 htmldir = @htmldir@
196 includedir = @includedir@
197 infodir = @infodir@
198 install_sh = @install_sh@
199 libdir = @libdir@
200 libexecdir = @libexecdir@
201 localedir = @localedir@
202 localstatedir = @localstatedir@
203 mandir = @mandir@
204 mkdir_p = @mkdir_p@
205 oldincludedir = @oldincludedir@
206 pdfdir = @pdfdir@
207 prefix = @prefix@
208 program_transform_name = @program_transform_name@
209 psdir = @psdir@
210 sbindir = @sbindir@
211 sharedstatedir = @sharedstatedir@
212 srcdir = @srcdir@
213 sysconfdir = @sysconfdir@
214 target_alias = @target_alias@
215 top_build_prefix = @top_build_prefix@
216 top_builddir = @top_builddir@
217 top_srcdir = @top_srcdir@
218 bin_SCRIPTS = \
219 bti-shrink-urls
220
221 bti_SOURCES = \
222 bti.c
223
224 bti_CPPFLAGS =
225 bti_LDADD = \
226 $(LIBCURL_LIBS) \
227 $(XML_LIBS) \
228 $(LIBPCRE_LIBS) \
229 $(LIBOAUTH_LIBS)
230
231 dist_man_MANS = \
232 bti.1 \
233 bti-shrink-urls.1
234
235 EXTRA_DIST = \
236 bti.xml \
237 bti-shrink-urls.xml \
238 bti.example \
239 bti-bashcompletion \
240 RELEASE-NOTES \
241 bti-shrink-urls
242
243 MAINTAINERCLEANFILES = \
244 $(dist_man_MANS)
245
246 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
247 AUTOMAKE_OPTIONS = foreign
248 all: all-am
249
250 .SUFFIXES:
251 .SUFFIXES: .c .o .obj
252 am--refresh:
253 @:
254 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
255 @for dep in $?; do \
256 case '$(am__configure_deps)' in \
257 *$$dep*) \
258 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
259 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
260 && exit 0; \
261 exit 1;; \
262 esac; \
263 done; \
264 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
265 $(am__cd) $(top_srcdir) && \
266 $(AUTOMAKE) --foreign Makefile
267 .PRECIOUS: Makefile
268 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
269 @case '$?' in \
270 *config.status*) \
271 echo ' $(SHELL) ./config.status'; \
272 $(SHELL) ./config.status;; \
273 *) \
274 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
275 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
276 esac;
277
278 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
279 $(SHELL) ./config.status --recheck
280
281 $(top_srcdir)/configure: $(am__configure_deps)
282 $(am__cd) $(srcdir) && $(AUTOCONF)
283 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
284 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
285 $(am__aclocal_m4_deps):
286 install-binPROGRAMS: $(bin_PROGRAMS)
287 @$(NORMAL_INSTALL)
288 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
289 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
290 for p in $$list; do echo "$$p $$p"; done | \
291 sed 's/$(EXEEXT)$$//' | \
292 while read p p1; do if test -f $$p; \
293 then echo "$$p"; echo "$$p"; else :; fi; \
294 done | \
295 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
296 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
297 sed 'N;N;N;s,\n, ,g' | \
298 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
299 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
300 if ($$2 == $$4) files[d] = files[d] " " $$1; \
301 else { print "f", $$3 "/" $$4, $$1; } } \
302 END { for (d in files) print "f", d, files[d] }' | \
303 while read type dir files; do \
304 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
305 test -z "$$files" || { \
306 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
307 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
308 } \
309 ; done
310
311 uninstall-binPROGRAMS:
312 @$(NORMAL_UNINSTALL)
313 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
314 files=`for p in $$list; do echo "$$p"; done | \
315 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
316 -e 's/$$/$(EXEEXT)/' `; \
317 test -n "$$list" || exit 0; \
318 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
319 cd "$(DESTDIR)$(bindir)" && rm -f $$files
320
321 clean-binPROGRAMS:
322 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
323 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES)
324 @rm -f bti$(EXEEXT)
325 $(AM_V_CCLD)$(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
326 install-binSCRIPTS: $(bin_SCRIPTS)
327 @$(NORMAL_INSTALL)
328 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
329 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
330 for p in $$list; do \
331 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
332 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
333 done | \
334 sed -e 'p;s,.*/,,;n' \
335 -e 'h;s|.*|.|' \
336 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
337 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
338 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
339 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
340 if (++n[d] == $(am__install_max)) { \
341 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
342 else { print "f", d "/" $$4, $$1 } } \
343 END { for (d in files) print "f", d, files[d] }' | \
344 while read type dir files; do \
345 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
346 test -z "$$files" || { \
347 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
348 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
349 } \
350 ; done
351
352 uninstall-binSCRIPTS:
353 @$(NORMAL_UNINSTALL)
354 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
355 files=`for p in $$list; do echo "$$p"; done | \
356 sed -e 's,.*/,,;$(transform)'`; \
357 test -n "$$list" || exit 0; \
358 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
359 cd "$(DESTDIR)$(bindir)" && rm -f $$files
360
361 mostlyclean-compile:
362 -rm -f *.$(OBJEXT)
363
364 distclean-compile:
365 -rm -f *.tab.c
366
367 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti-bti.Po@am__quote@
368
369 .c.o:
370 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
371 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
372 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
373 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
374 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
375 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
376
377 .c.obj:
378 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
379 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
380 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
382 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
383 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
384
385 bti-bti.o: bti.c
386 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(bti_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bti-bti.o -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
387 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
388 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
389 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='bti.c' object='bti-bti.o' libtool=no @AMDEPBACKSLASH@
390 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
391 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(bti_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
392
393 bti-bti.obj: bti.c
394 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(bti_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bti-bti.obj -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
395 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
396 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
397 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='bti.c' object='bti-bti.obj' libtool=no @AMDEPBACKSLASH@
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
399 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(bti_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
400 install-man1: $(dist_man_MANS)
401 @$(NORMAL_INSTALL)
402 test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
403 @list=''; test -n "$(man1dir)" || exit 0; \
404 { for i in $$list; do echo "$$i"; done; \
405 l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
406 sed -n '/\.1[a-z]*$$/p'; \
407 } | while read p; do \
408 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
409 echo "$$d$$p"; echo "$$p"; \
410 done | \
411 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
412 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
413 sed 'N;N;s,\n, ,g' | { \
414 list=; while read file base inst; do \
415 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
416 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
417 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
418 fi; \
419 done; \
420 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
421 while read files; do \
422 test -z "$$files" || { \
423 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
424 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
425 done; }
426
427 uninstall-man1:
428 @$(NORMAL_UNINSTALL)
429 @list=''; test -n "$(man1dir)" || exit 0; \
430 files=`{ for i in $$list; do echo "$$i"; done; \
431 l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
432 sed -n '/\.1[a-z]*$$/p'; \
433 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
434 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
435 test -z "$$files" || { \
436 echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
437 cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
438
439 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
440 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
441 unique=`for i in $$list; do \
442 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
443 done | \
444 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
445 END { if (nonempty) { for (i in files) print i; }; }'`; \
446 mkid -fID $$unique
447 tags: TAGS
448
449 TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
450 $(TAGS_FILES) $(LISP)
451 set x; \
452 here=`pwd`; \
453 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
454 unique=`for i in $$list; do \
455 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
456 done | \
457 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
458 END { if (nonempty) { for (i in files) print i; }; }'`; \
459 shift; \
460 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
461 test -n "$$unique" || unique=$$empty_fix; \
462 if test $$# -gt 0; then \
463 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
464 "$$@" $$unique; \
465 else \
466 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
467 $$unique; \
468 fi; \
469 fi
470 ctags: CTAGS
471 CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
472 $(TAGS_FILES) $(LISP)
473 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
474 unique=`for i in $$list; do \
475 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
476 done | \
477 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
478 END { if (nonempty) { for (i in files) print i; }; }'`; \
479 test -z "$(CTAGS_ARGS)$$unique" \
480 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
481 $$unique
482
483 GTAGS:
484 here=`$(am__cd) $(top_builddir) && pwd` \
485 && $(am__cd) $(top_srcdir) \
486 && gtags -i $(GTAGS_ARGS) "$$here"
487
488 distclean-tags:
489 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
490
491 distdir: $(DISTFILES)
492 @list='$(MANS)'; if test -n "$$list"; then \
493 list=`for p in $$list; do \
494 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
495 if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
496 if test -n "$$list" && \
497 grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
498 echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
499 grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
500 echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
501 echo " typically \`make maintainer-clean' will remove them" >&2; \
502 exit 1; \
503 else :; fi; \
504 else :; fi
505 $(am__remove_distdir)
506 test -d "$(distdir)" || mkdir "$(distdir)"
507 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
508 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
509 list='$(DISTFILES)'; \
510 dist_files=`for file in $$list; do echo $$file; done | \
511 sed -e "s|^$$srcdirstrip/||;t" \
512 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
513 case $$dist_files in \
514 */*) $(MKDIR_P) `echo "$$dist_files" | \
515 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
516 sort -u` ;; \
517 esac; \
518 for file in $$dist_files; do \
519 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
520 if test -d $$d/$$file; then \
521 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
522 if test -d "$(distdir)/$$file"; then \
523 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
524 fi; \
525 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
526 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
527 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
528 fi; \
529 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
530 else \
531 test -f "$(distdir)/$$file" \
532 || cp -p $$d/$$file "$(distdir)/$$file" \
533 || exit 1; \
534 fi; \
535 done
536 -test -n "$(am__skip_mode_fix)" \
537 || find "$(distdir)" -type d ! -perm -755 \
538 -exec chmod u+rwx,go+rx {} \; -o \
539 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
540 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
541 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
542 || chmod -R a+r "$(distdir)"
543 dist-gzip: distdir
544 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
545 $(am__remove_distdir)
546
547 dist-bzip2: distdir
548 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
549 $(am__remove_distdir)
550
551 dist-lzma: distdir
552 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
553 $(am__remove_distdir)
554
555 dist-xz: distdir
556 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
557 $(am__remove_distdir)
558
559 dist-tarZ: distdir
560 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
561 $(am__remove_distdir)
562
563 dist-shar: distdir
564 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
565 $(am__remove_distdir)
566
567 dist-zip: distdir
568 -rm -f $(distdir).zip
569 zip -rq $(distdir).zip $(distdir)
570 $(am__remove_distdir)
571
572 dist dist-all: distdir
573 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
574 $(am__remove_distdir)
575
576 # This target untars the dist file and tries a VPATH configuration. Then
577 # it guarantees that the distribution is self-contained by making another
578 # tarfile.
579 distcheck: dist
580 case '$(DIST_ARCHIVES)' in \
581 *.tar.gz*) \
582 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
583 *.tar.bz2*) \
584 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
585 *.tar.lzma*) \
586 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
587 *.tar.xz*) \
588 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
589 *.tar.Z*) \
590 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
591 *.shar.gz*) \
592 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
593 *.zip*) \
594 unzip $(distdir).zip ;;\
595 esac
596 chmod -R a-w $(distdir); chmod a+w $(distdir)
597 mkdir $(distdir)/_build
598 mkdir $(distdir)/_inst
599 chmod a-w $(distdir)
600 test -d $(distdir)/_build || exit 0; \
601 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
602 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
603 && am__cwd=`pwd` \
604 && $(am__cd) $(distdir)/_build \
605 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
606 $(DISTCHECK_CONFIGURE_FLAGS) \
607 && $(MAKE) $(AM_MAKEFLAGS) \
608 && $(MAKE) $(AM_MAKEFLAGS) dvi \
609 && $(MAKE) $(AM_MAKEFLAGS) check \
610 && $(MAKE) $(AM_MAKEFLAGS) install \
611 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
612 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
613 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
614 distuninstallcheck \
615 && chmod -R a-w "$$dc_install_base" \
616 && ({ \
617 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
618 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
619 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
620 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
621 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
622 } || { rm -rf "$$dc_destdir"; exit 1; }) \
623 && rm -rf "$$dc_destdir" \
624 && $(MAKE) $(AM_MAKEFLAGS) dist \
625 && rm -rf $(DIST_ARCHIVES) \
626 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
627 && cd "$$am__cwd" \
628 || exit 1
629 $(am__remove_distdir)
630 @(echo "$(distdir) archives ready for distribution: "; \
631 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
632 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
633 distuninstallcheck:
634 @$(am__cd) '$(distuninstallcheck_dir)' \
635 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
636 || { echo "ERROR: files left after uninstall:" ; \
637 if test -n "$(DESTDIR)"; then \
638 echo " (check DESTDIR support)"; \
639 fi ; \
640 $(distuninstallcheck_listfiles) ; \
641 exit 1; } >&2
642 distcleancheck: distclean
643 @if test '$(srcdir)' = . ; then \
644 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
645 exit 1 ; \
646 fi
647 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
648 || { echo "ERROR: files left in build directory after distclean:" ; \
649 $(distcleancheck_listfiles) ; \
650 exit 1; } >&2
651 check-am: all-am
652 check: check-am
653 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
654 installdirs:
655 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
656 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
657 done
658 install: install-am
659 install-exec: install-exec-am
660 install-data: install-data-am
661 uninstall: uninstall-am
662
663 install-am: all-am
664 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
665
666 installcheck: installcheck-am
667 install-strip:
668 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
669 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
670 `test -z '$(STRIP)' || \
671 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
672 mostlyclean-generic:
673
674 clean-generic:
675
676 distclean-generic:
677 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
678 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
679
680 maintainer-clean-generic:
681 @echo "This command is intended for maintainers to use"
682 @echo "it deletes files that may require special tools to rebuild."
683 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
684 clean: clean-am
685
686 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
687
688 distclean: distclean-am
689 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
690 -rm -rf ./$(DEPDIR)
691 -rm -f Makefile
692 distclean-am: clean-am distclean-compile distclean-generic \
693 distclean-local distclean-tags
694
695 dvi: dvi-am
696
697 dvi-am:
698
699 html: html-am
700
701 html-am:
702
703 info: info-am
704
705 info-am:
706
707 install-data-am: install-man
708
709 install-dvi: install-dvi-am
710
711 install-dvi-am:
712
713 install-exec-am: install-binPROGRAMS install-binSCRIPTS
714
715 install-html: install-html-am
716
717 install-html-am:
718
719 install-info: install-info-am
720
721 install-info-am:
722
723 install-man: install-man1
724
725 install-pdf: install-pdf-am
726
727 install-pdf-am:
728
729 install-ps: install-ps-am
730
731 install-ps-am:
732
733 installcheck-am:
734
735 maintainer-clean: maintainer-clean-am
736 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
737 -rm -rf $(top_srcdir)/autom4te.cache
738 -rm -rf ./$(DEPDIR)
739 -rm -f Makefile
740 maintainer-clean-am: distclean-am maintainer-clean-generic
741
742 mostlyclean: mostlyclean-am
743
744 mostlyclean-am: mostlyclean-compile mostlyclean-generic
745
746 pdf: pdf-am
747
748 pdf-am:
749
750 ps: ps-am
751
752 ps-am:
753
754 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
755
756 uninstall-man: uninstall-man1
757
758 .MAKE: install-am install-strip
759
760 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
761 clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
762 dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
763 distcheck distclean distclean-compile distclean-generic \
764 distclean-local distclean-tags distcleancheck distdir \
765 distuninstallcheck dvi dvi-am html html-am info info-am \
766 install install-am install-binPROGRAMS install-binSCRIPTS \
767 install-data install-data-am install-dvi install-dvi-am \
768 install-exec install-exec-am install-html install-html-am \
769 install-info install-info-am install-man install-man1 \
770 install-pdf install-pdf-am install-ps install-ps-am \
771 install-strip installcheck installcheck-am installdirs \
772 maintainer-clean maintainer-clean-generic mostlyclean \
773 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
774 tags uninstall uninstall-am uninstall-binPROGRAMS \
775 uninstall-binSCRIPTS uninstall-man uninstall-man1
776
777 $(LIBCURL_CPPFLAGS) \
778 $(XML_CPPFLAGS) \
779 $(LIBPCRE_CPPFLAGS) \
780 $(LIBOAUTH_CPPFLAGS)
781
782 %.1: %.xml
783 $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
784
785 git-clean:
786 rm -f Makefile.in
787
788 distclean-local:
789 rm -rf autom4te.cache
790
791 changelog:
792 @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
793 @ mv ChangeLog ChangeLog.tmp
794 @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
795 @ echo "============================================" >> ChangeLog
796 @ echo >> ChangeLog
797 @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog >> ChangeLog
798 @ echo >> ChangeLog
799 @ cat ChangeLog
800 @ cat ChangeLog.tmp >> ChangeLog
801 @ rm ChangeLog.tmp
802
803 git-release:
804 head -1 ChangeLog | grep -q "to v$(VERSION)"
805 head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
806 git commit -a -m "release $(VERSION)"
807 cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
808 git gc
809 git prune
810
811 # Tell versions [3.59,3.63) of GNU make to not export all variables.
812 # Otherwise a system limit (for SysV at least) may be exceeded.
813 .NOEXPORT:

  ViewVC Help
Powered by ViewVC 1.1.26